.\" $NetBSD: nsmb.4,v 1.6 2005/06/23 12:47:38 peter Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 18, 2004
.Dt NSMB 4
.Os
.Sh NAME
.Nm nsmb
.Nd kernel SMB protocol communicator
.Sh SYNOPSIS
.Cd "pseudo-device nsmb"
.Sh DESCRIPTION
This virtual device is used by SMBFS filesystem
for actual communication with SMB servers.
It provides the physical transportation, encapsulating the networking
part of SMBFS.
Only SMB over TCP/IP is supported at this moment, SMB over NetBIOS
is not supported.
.Pp
For the SMBFS kernel support to work, it's necessary
to have both this pseudo-device and file-system
SMBFS configured into kernel.
.Sh SEE ALSO
.Xr mount_smbfs 8
.Sh HISTORY
This driver first appeared in
.Fx 4.4 .
In
.Nx ,
this first appeared in
.Nx 2.0 ,
together with rest of SMBFS support.
.Sh AUTHORS
.An -nosplit
.An Boris Popov Aq bp@butya.kz ,
.Aq bp@FreeBSD.org .
.Nx
port done by
.An Matt Debergalis
.Aq deberg@NetBSD.org
and
.An Jaromir Dolecek
.Aq jdolecek@NetBSD.org .
